Skip to main content

overallRiskScoreHistory

Returns the risk score for all assets

overallRiskScoreHistory(
companyId: ID!
): OverallRiskScoreHistory!

Arguments​

overallRiskScoreHistory.companyId ● ID! non-null scalar​

Type​

OverallRiskScoreHistory object​

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetOverallRiskScoreHistory($companyId: ID!) {\n overallRiskScoreHistory(companyId: $companyId) { company { id label active } current { date value } differenceFromLast { businessImpactChanges dataClassificationChanges date } }\n}","variables":{"companyId":"<company_id>"}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute